﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections;

namespace XamGridScrollBar
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            // Required to initialize variables
            InitializeComponent();

            var itemsSource = (from i in Enumerable.Range(1, 20)
                               select new Class1()
                               {
                                   Property1 = string.Format("String {0}", i),
                                   Property2 = i
                               }).ToList();

            this.XGrid.ItemsSource = itemsSource;
        }
    }

    public class Class1
    {
        public string Property1 { get; set; }
        public int Property2 { get; set; }
    }
}